function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.RequireSelection = true
   return "Chord Line - Keep Bottom Note", "Chord Line - Keep Bottom Note", "Deletes every note but the bottom of a chord"
end

function main() 
    for entry in eachentrysaved(finenv.Region()) do
        while (entry.Count >= 2) do
            local topNote = entry:CalcHighestNote(nil)
            entry:DeleteNote(topNote)
        end
    end
end

main()