function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.RequireSelection = true
   return "Chord Line - Delete Bottom Note", "Chord Line - Delete Bottom Note", "Deletes the bottom note of every chord"
end

function main()
    for entry in eachentrysaved(finenv.Region()) do
        if (entry.Count >= 2) then
            local bottomNote = entry:CalcLowestNote(nil)
            entry:DeleteNote(bottomNote)
        end
    end
end

main()