function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.RequireSelection = true
   return "Chord Line - Delete Top Note", "Chord Line - Delete Top Note", "Deletes the top note of every chord"
end

function main() 
    for entry in eachentrysaved(finenv.Region()) do
        if (entry.Count >= 2) then
            local topNote = entry:CalcHighestNote(nil)
            entry:DeleteNote(topNote)
        end
    end
end

main()