function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.RequireSelection = true
   return "Chord Line - Keep Top Note", "Chord Line - Keep Top Note", "Deletes every note but the top of a chord"
end

function main() 
    for entry in eachentrysaved(finenv.Region()) do
        while (entry.Count >= 2) do
            local bottomNote = entry:CalcLowestNote(nil)
            entry:DeleteNote(bottomNote)
        end
    end
end

main()